function getDSdata()
    pin=1 -- connect the signal wire to pin GPIO5
    t=require("ds18b20")
    t.setup(pin) -- gpio0
    addrs=t.addrs()
    node_id = node.chipid()
    print("Total Sensors.: "..table.getn(addrs).." ")
    print("Sensor Type...: "..node_id.." ")
    hex_format="%02X%02X%02X%02X%02X%02X%02X%02X"
    sensor_count=table.getn(addrs)
    if (sensor_count>0) then
      for i=1,sensor_count do
        sid=string.format(hex_format,string.byte(addrs[i],1,9))
        print("t"..i.." Unique ID  : "..sid.." ")
        tmr.wdclr()
      end
    end
      t1 = t.read(addrs[1],t.C)
      t5 = t.read(addrs[2],t.C)
      t6 = t.read(addrs[3],t.C)   
      t2 = t.read(addrs[4],t.C)
      t3 = t.read(addrs[5],t.C)   
      t4 = t.read(addrs[6],t.C)     
      print("Temp t1 Lower.: "..t1.." deg C")
      print("Temp t2 Upper.: "..t2.." deg C")
      print("Temp t3 Middle: "..t3.." deg C")
      print("Temp t4 Top...: "..t4.." deg C")
      print("Temp t5 Flow..: "..t5.." deg C")     
      print("Temp t6 Return: "..t6.." deg C")     
-- Cleanup
    t = nil
    ds18b20 = nil
    package.loaded["ds18b20"]=nil 
end 
tmr.alarm(2, 1000, 1, function() getDSdata() end )
